io.vertx.rxjava.sqlclient

## Class Pool

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient
  - - io.vertx.rxjava.sqlclient.Pool

- Direct Known Subclasses:
    MySQLPool, PgPool

      public class Pool
      extends SqlClient

  A pool of SQL connections.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Pool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pool(Pool delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(Handler<AsyncResult<Transaction>> handler)` Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
    `void` | `close()` Close the pool and release the associated resources.
    `boolean` | `equals(Object o)`
    `void` | `getConnection(Handler<AsyncResult<SqlConnection>> handler)` Get a connection from the pool.
    `Pool` | `getDelegate()`
    `int` | `hashCode()`
    `static Pool` | `newInstance(Pool arg)`
    `Pool` | `preparedBatch(String sql, List<Tuple> batch, Handler<AsyncResult<RowSet<Row>>> handler)` Prepare and execute a createBatch.
    `Pool` | `preparedQuery(String sql, Handler<AsyncResult<RowSet<Row>>> handler)` Prepare and execute a query.
    `Pool` | `preparedQuery(String sql, Tuple arguments, Handler<AsyncResult<RowSet<Row>>> handler)` Prepare and execute a query.
    `Pool` | `query(String sql, Handler<AsyncResult<RowSet<Row>>> handler)` Execute a simple query.
    `Single<Transaction>` | `rxBegin()` Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
    `Single<SqlConnection>` | `rxGetConnection()` Get a connection from the pool.
    `Single<RowSet<Row>>` | `rxPreparedBatch(String sql, List<Tuple> batch)` Prepare and execute a createBatch.
    `Single<RowSet<Row>>` | `rxPreparedQuery(String sql)` Prepare and execute a query.
    `Single<RowSet<Row>>` | `rxPreparedQuery(String sql, Tuple arguments)` Prepare and execute a query.
    `Single<RowSet<Row>>` | `rxQuery(String sql)` Execute a simple query.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlClient

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Pool> __TYPE_ARG

  - ### Constructor Detail

    - #### Pool

          public Pool(Pool delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlClient`

    - #### getDelegate

          public Pool getDelegate()

      Overrides:
        `getDelegate` in class `SqlClient`

    - #### preparedQuery

          public Pool preparedQuery(String sql,
                                    Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `preparedQuery` in class `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPreparedQuery

          public Single<RowSet<Row>> rxPreparedQuery(String sql)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `rxPreparedQuery` in class `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
      Returns:
        a reference to this, so the API can be used fluently

    - #### query

          public Pool query(String sql,
                            Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from class: `SqlClient`
      Execute a simple query.
      Overrides:
        `query` in class `SqlClient`
      Parameters:
        `sql` - the query SQL
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxQuery

          public Single<RowSet<Row>> rxQuery(String sql)

      Description copied from class: `SqlClient`
      Execute a simple query.
      Overrides:
        `rxQuery` in class `SqlClient`
      Parameters:
        `sql` - the query SQL
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedQuery

          public Pool preparedQuery(String sql,
                                    Tuple arguments,
                                    Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `preparedQuery` in class `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `arguments` - the list of arguments
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPreparedQuery

          public Single<RowSet<Row>> rxPreparedQuery(String sql,
                                                     Tuple arguments)

      Description copied from class: `SqlClient`
      Prepare and execute a query.
      Overrides:
        `rxPreparedQuery` in class `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `arguments` - the list of arguments
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedBatch

          public Pool preparedBatch(String sql,
                                    List<Tuple> batch,
                                    Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from class: `SqlClient`
      Prepare and execute a createBatch.
      Overrides:
        `preparedBatch` in class `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `batch` - the batch of tuples
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxPreparedBatch

          public Single<RowSet<Row>> rxPreparedBatch(String sql,
                                                     List<Tuple> batch)

      Description copied from class: `SqlClient`
      Prepare and execute a createBatch.
      Overrides:
        `rxPreparedBatch` in class `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `batch` - the batch of tuples
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConnection

          public void getConnection(Handler<AsyncResult<SqlConnection>> handler)

      Get a connection from the pool.
      Parameters:
        `handler` - the handler that will get the connection result

    - #### rxGetConnection

          public Single<SqlConnection> rxGetConnection()

      Get a connection from the pool.
      Returns:

    - #### begin

          public void begin(Handler<AsyncResult<Transaction>> handler)

      Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
      Parameters:
        `handler` -

    - #### rxBegin

          public Single<Transaction> rxBegin()

      Borrow a connection from the pool and begin a transaction, the underlying connection will be returned to the pool when the transaction ends.
      Returns:
        the transaction

    - #### close

          public void close()

      Close the pool and release the associated resources.
      Overrides:
        `close` in class `SqlClient`

    - #### newInstance

          public static Pool newInstance(Pool arg)

Copyright © 2019 Eclipse. All rights reserved.